/// <reference types="node" />
import { EventEmitter } from "events";
import { DocumentNode, GraphQLSchema } from "graphql";
import { EventBus, EventBusSubscriberCb, Publish } from "./EventBus";
import { EventBusPlugin } from "./VanillaEventBus";
export declare class MemoryEventBus implements EventBus {
    config: {
        schema: GraphQLSchema;
        subscriber?: {
            cb: EventBusSubscriberCb;
            queries: DocumentNode;
        };
        plugins?: EventBusPlugin[];
        allowInvalidTopic?: boolean;
    };
    eventEmitter: EventEmitter;
    private bus;
    constructor(config: {
        schema: GraphQLSchema;
        subscriber?: {
            cb: EventBusSubscriberCb;
            queries: DocumentNode;
        };
        plugins?: EventBusPlugin[];
        allowInvalidTopic?: boolean;
    });
    init: () => Promise<void>;
    publish: Publish;
    closeConsumer: () => Promise<void>;
    closePublisher: () => Promise<void>;
}
